Bug 130914 - RHEL4: keyring support (OpenAFS enabler)
Summary: RHEL4: keyring support (OpenAFS enabler)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Howells
QA Contact: dff
URL: IT#38216, IT#45981, IT#46660
Whiteboard: Kernel
Keywords:
Depends On:
Blocks: 156323 160094 163927
TreeView+ depends on / blocked
 
Reported: 2004-08-25 18:57 UTC by Tim Burke
Modified: 2008-08-19 11:10 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-10-05 12:29:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Comment 1 Tim Burke 2004-08-25 18:57:01 UTC
An enabler for OpenAFS support is David Howells keyring patch.  We have a
contract obligation to MSDW to enable them to use OpenAFS.

Comment 4 David Howells 2004-09-07 10:01:14 UTC
My key management patches are in Andrew Morton's tree. Various people have 
looked at it (including NFS, CIFS, OpenAFS and cryptfs maintainers) and I've 
had some useful feedback which I've incorporated. 
 
Hopefully Andrew will bump it up to Linus soon, though he may decide to wait 
for something to go in first that uses it. 
 
I've settled on the user interface now. There are three new syscalls which will 
always be available, and an optional filesystem. There are also four new error 
codes. 
 
David 

Comment 7 Pancrazio `ezio' de Mauro 2004-09-21 10:02:21 UTC
CERN (IT # 45981) needs this feature because they make use of OpenAFS

Comment 10 Robert Perkins 2004-10-12 21:31:10 UTC
This feature was unfortunately not mature enough to make it into RHEL4.  We have
closed B2, and the code has not had a chance to be used in the community, and
the community is still working towards a solution.  Therefore, we'll defer until
RHEL4 U1.  We have no bandwidth for interim fixes for maturing (albeit
important) software, unfortunately.   I asssume that someone in support will
communicate this back to the customers.

Comment 11 David Howells 2004-10-19 18:55:47 UTC
My key management patches are now in the Linus's Linux tree. 
 
David 

Comment 12 David Howells 2004-10-20 10:05:13 UTC
However, since this involves new error codes and syscalls, it's going to 
require additions to glibc. 
 
It will also require utility programs. I should see about getting these into 
Fedora. 
 
David 

Comment 16 Tim Burke 2005-01-17 18:56:32 UTC
kabi buster, moving to U2 release bucket for consideration there

Comment 22 Marty Wesley 2005-05-18 14:09:52 UTC
This needs to be on the U2 MUSTFIX list as this has been promised to Morgan
Stanley in U2.

Comment 23 Marty Wesley 2005-05-26 06:45:50 UTC
PM ACK for U2.

Comment 36 Red Hat Bugzilla 2005-10-05 12:29:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.